Bug 788731

Summary: ruv tombstone searches don't work after reindex entryrdn
Product: Red Hat Enterprise Linux 6 Reporter: Rich Megginson <rmeggins>
Component: 389-ds-baseAssignee: Rich Megginson <rmeggins>
Status: CLOSED ERRATA QA Contact: IDM QE LIST <seceng-idm-qe-list>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 6.3CC: amsharma, jgalipea, mreynolds, nhosoi
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 389-ds-base-1.2.10.0-1.el6 Doc Type: Bug Fix
Doc Text:
Cause: Attempt to search for the RUV tombstone entry (as is done by client such as repl-monitor). Consequence: The entry is not found. Fix: Correctly index this entry in the entryrdn index. Result: Searches for RUV tombstone entries work correctly.
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-20 07:14:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Rich Megginson 2012-02-08 22:03:50 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/273

setup replication with 1.2.10.a6 or earlier - verify replication is working

upgrade to 1.2.10.a8

do a search like this:

ldapsearch -xLLL -D "cn=directory manager" -w password -b dc=example,dc=com '(&(nsuniqueid=ffffffff-ffffffff-ffffffff-ffffffff)(objectclass=nstombstone))'

You will see no entries returned.  The entryrdn.db4 looks like this:

 dc=example,dc=com
  ID: 1; RDN: "dc=example,dc=com"; NRDN: "dc=example,dc=com"
 nsuniqueid=ffffffff-ffffffff-ffffffff-ffffffff
  ID: 10; RDN: "nsuniqueid=ffffffff-ffffffff-ffffffff-ffffffff"; NRDN: "nsunique
id=ffffffff-ffffffff-ffffffff-ffffffff"

That is, it thinks the ruv tombstone rdn is a suffix instead of a child of dc=example,dc=com

Comment 2 Jenny Severance 2012-02-20 15:03:42 UTC
Steps to reproduce with RHDS needed.

Comment 4 Noriko Hosoi 2012-05-11 18:40:32 UTC
Adding a test case to tet.

Comment 5 Noriko Hosoi 2012-05-14 21:39:51 UTC
It's already there (in mmrepl/accept.sh bug788729 :p).

Comment 6 Rich Megginson 2012-05-24 23:32:16 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Attempt to search for the RUV tombstone entry (as is done by client such as repl-monitor).
Consequence: The entry is not found.
Fix: Correctly index this entry in the entryrdn index.
Result: Searches for RUV tombstone entries work correctly.

Comment 7 Amita Sharma 2012-05-29 11:29:28 UTC
mmrepl mmraccept startup 	100% (2/2) 	  	 
mmrepl mmraccept run 	100% (23/23) 	  	 
mmrepl mmraccept cleanup 	100% (1/1)
Hence marking as VERIFIED.

Comment 8 errata-xmlrpc 2012-06-20 07:14:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0813.html